cfg_inst Struct Reference
Collaboration diagram for cfg_inst:
[legend]

## Data Fields

qb_ipcc_connection_t * | c
corosync_cfg_callbacks_t | callbacks
cs_name_t | comp_name
int | comp_registered
int | finalize

## Detailed Description

Definition at line 65 of file lib/cfg.c.

## Field Documentation

## c

qb_ipcc_connection_t* cfg_inst::c

Definition at line 66 of file lib/cfg.c.

Referenced by corosync_cfg_dispatch(), corosync_cfg_fd_get(), corosync_cfg_get_node_addrs(), corosync_cfg_initialize(), corosync_cfg_kill_node(), corosync_cfg_local_get(), corosync_cfg_node_status_get(), corosync_cfg_reload_config(), corosync_cfg_reopen_log_files(), corosync_cfg_replyto_shutdown(), corosync_cfg_ring_status_get(), corosync_cfg_trackstart(), corosync_cfg_trackstop(), and corosync_cfg_try_shutdown().

## callbacks

corosync_cfg_callbacks_t cfg_inst::callbacks

Definition at line 67 of file lib/cfg.c.

Referenced by corosync_cfg_dispatch(), and corosync_cfg_initialize().

## comp_name

cs_name_t cfg_inst::comp_name

Definition at line 68 of file lib/cfg.c.

## comp_registered

int cfg_inst::comp_registered

Definition at line 69 of file lib/cfg.c.

## finalize

int cfg_inst::finalize

Definition at line 70 of file lib/cfg.c.

Referenced by corosync_cfg_dispatch(), corosync_cfg_finalize(), and corosync_cfg_initialize().

The documentation for this struct was generated from the following file:

- lib/cfg.c